## festival festival |

## Types and Values

struct | GstFestival

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstFestival

## Description

This element connects to a

festival

server process and uses it to synthesize speech. Festival need to run already in server mode, started as

    festival --server

### Example pipeline

    1
    echo 'Hello G-Streamer!' | gst-launch-1.0 fdsrc fd=0 ! festival ! wavparse ! audioconvert ! alsasink

## Synopsis

### Element Information

plugin | festival
author | Wim Taymans <wim.taymans@gmail.com>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | text/x-raw, format=(string)utf8

name | src
direction | source
presence | always
details | audio/x-wav

## Functions

## Types and Values

### struct GstFestival

    struct GstFestival;